Grant Delegation
POST
/v1/authority/delegations
const url = 'https://example.com/v1/authority/delegations';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenantId":"example","agentId":"example","approverRef":"example","grantedBy":"example","requesterRef":"example","breakGlass":false,"action":"example","resource":"example","taskId":"example","taskDescription":"example","resourceType":"example","requiredGroup":"example","expiresInSeconds":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/authority/delegations \ --header 'Content-Type: application/json' \ --data '{ "tenantId": "example", "agentId": "example", "approverRef": "example", "grantedBy": "example", "requesterRef": "example", "breakGlass": false, "action": "example", "resource": "example", "taskId": "example", "taskDescription": "example", "resourceType": "example", "requiredGroup": "example", "expiresInSeconds": 1 }'Request Body required
Section titled “Request Body required ” Media type application/json
GrantDelegationRequest
object
tenantId
required
Tenantid
string
agentId
required
Agentid
string
breakGlass
Breakglass
boolean
action
required
Action
string
resource
required
Resource
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}